<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.dev (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.dev (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/dev/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.dev</h1>
    <div class="docSummary">
        <div class="block">DEV package serves two purposes.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/BiffDrawingToXml.html"
                                            title="class in org.apache.poi.hssf.dev">BiffDrawingToXml</a></td>
                    <td class="colLast">
                        <div class="block">Utility for representing drawings contained in a binary Excel file as a XML
                            tree
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/BiffViewer.html"
                                            title="class in org.apache.poi.hssf.dev">BiffViewer</a></td>
                    <td class="colLast">
                        <div class="block">Utility for reading in BIFF8 records and displaying data from them.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/EFBiffViewer.html"
                                            title="class in org.apache.poi.hssf.dev">EFBiffViewer</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/FormulaViewer.html"
                                            title="class in org.apache.poi.hssf.dev">FormulaViewer</a></td>
                    <td class="colLast">
                        <div class="block">FormulaViewer - finds formulas in a BIFF8 file and attempts to read
                            them/display
                            data from them.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/RecordLister.html"
                                            title="class in org.apache.poi.hssf.dev">RecordLister</a></td>
                    <td class="colLast">
                        <div class="block">This is a low-level debugging class, which simply prints
                            out what records come in what order.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/dev/ReSave.html"
                                            title="class in org.apache.poi.hssf.dev">ReSave</a></td>
                    <td class="colLast">
                        <div class="block">Utility to test that POI produces readable output
                            after re-saving xls files.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.hssf.dev Description">Package org.apache.poi.hssf.dev Description</h2>
    <div class="block">DEV package serves two purposes. 1. Examples for how to use HSSF and 2. tools for developing
        and validating HSSF.

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>
    </div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/dev/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
